apiVersion: v1
kind: Service
metadata:
  name: {{ include "starhopper.fullname" . }}
  labels:
    app.kubernetes.io/name: {{ include "starhopper.name" . }}
    helm.sh/chart: {{ include "starhopper.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      protocol: TCP
  selector:
    app.kubernetes.io/name: {{ include "starhopper.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    env: {{ .Values.label.env }}
    app: {{ .Values.label.app }}
